Skip to main content
`Ctrl`+`K`

# DMPlexTransformExtrudeSetSymmetric

Set the flag to extrude symmetrically from the initial surface

## Synopsis

    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexTransformExtrudeSetSymmetric(DMPlexTransform tr, PetscBool symmetric)

Not Collective

## Input Parameters

- tr - The `DMPlexTransform`

- symmetric - The flag to extrude symmetrically

## See Also

`DMPlexTransform`, `DMPlexTransformExtrudeGetSymmetric()`, `DMPlexTransformExtrudeSetPeriodic()`

## Level

intermediate

## Location

src/dm/impls/plex/transform/impls/extrude/plextrextrude.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages